petsc_3_8_3-gnu-mvapich2-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm


Advertisement

Description

petsc_3_8_3-gnu-mvapich2-hpc-saws - PETsc SAWs infrastructure

Property Value
Distribution openSUSE Leap 15.0
Repository Science all
Package filename petsc_3_8_3-gnu-mvapich2-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm
Package name petsc_3_8_3-gnu-mvapich2-hpc-saws
Package version 3.8.3
Package release lp150.84.3
Package architecture x86_64
Package type rpm
Category Productivity/Scientific/Other
Homepage http://www.mcs.anl.gov/petsc/
License BSD-2-Clause
Maintainer -
Download size 45.66 KB
Installed size 213.08 KB
This package contains the files to interface with SAWs
(Scientific Application Web server). SAWs itself is not
yet supported by openSUSE.

Alternatives

Package Version Architecture Repository
petsc_3_8_3-gnu-mvapich2-hpc-saws-3.8.3-lp150.5.11.x86_64.rpm 3.8.3 x86_64 openSUSE Oss
petsc_3_8_3-gnu-mvapich2-hpc-saws - - -

Requires

Name Value
/bin/bash -
/usr/bin/python3 -
libpetsc_3_8_3-gnu-mvapich2-hpc = 3.8.3

Provides

Name Value
petsc_3_8_3-gnu-mvapich2-hpc-saws = 3.8.3-lp150.84.3
petsc_3_8_3-gnu-mvapich2-hpc-saws(x86-64) = 3.8.3-lp150.84.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package petsc_3_8_3-gnu-mvapich2-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm
Source Package petsc_3_8_3-gnu-mvapich2-hpc-3.8.3-lp150.84.3.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Leap_15.0/ science
  2. Install petsc_3_8_3-gnu-mvapich2-hpc-saws rpm package:
    # zypper install petsc_3_8_3-gnu-mvapich2-hpc-saws

Files

Path
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/bin/saws/SAWs.py
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/bin/saws/getSAWs.bash
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/bin/saws/getStack.bash
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/documentation
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/linearsolveroptions.html
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/readme
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/images/arrow.png
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/images/transition.bmp
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/PETSc.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/boxTree.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/defaults.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/drawDiagrams.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/events.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/getCmdOptions.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/listLogic.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/main.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/matrixTex.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/parsePrefix.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/populateLists.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/recordSawsData.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/tree.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/treeInterface.js
/usr/lib/hpc/gnu7/mvapich2/petsc/3.8.3/share/petsc/saws/js/utils.js

Changelog

2018-04-30 - eich@suse.com
- (Temporarily) disable fpr S390* as a check test for netcdf fails
currently on BE (bsc#1091474).
2018-04-27 - guillaume.gardet@opensuse.org
- Add _constraints to avoid OOM errors
2018-04-17 - eich@suse.com
- Do not require 'Modules' for HPC build: seetings from
/etc/profile.d/lmod.[c]sh will be overwritten by
/etc/profile.d/modules.[c]sh installed by Modules
(bsc#1089865).
2018-04-01 - eich@suse.com
- Convert doc package build to noarch. This will hopefully avoid
spurious build errors on SLE-12.
2018-03-27 - stefan.bruens@rwth-aachen.de
- Set '-fPIC' also on aarch64
2018-03-27 - eich@suse.com
- Reenable flavor 'serial' to build the doc package only
(bsc#1087050).
Note: for this flavor nothing else gets built: once the
missing dependencies have been fixed, rearrange the
[#]%if 0%{?makedoc:1} ... %endif.
2018-03-20 - ro@suse.de
- use "-fPIC" also on s390, like on ppc64 (bsc#1086008)
2018-03-09 - eich@suse.com
- Don't build the serial flavor as the build presently breaks
everywhere (bsc#1084677).
2018-03-04 - eich@suse.com
- Python-Fix-a-number-of-scripts-to-by-Python-3-compliant.patch:
Fix python scripts - convert to Python 3 (bsc#1082209).
- Restructure package: factor out SAWs stuff. We cannot
support this as SAWs itself isn't available for SUSE.
- Move python files that are not stand-alone out of the
bin directory.
- Fix permissions in bin and other directories.
- Removed some unwanted scripts:
rules - make rules
sendToJenkins - this should probably be modified to print an error message
uncrustify.cfg - used by 'rules'
- Removed win32fe: DLLs for Windows
- Set '-fPIC' on ppc64.
2018-02-22 - eich@suse.com
- Update to version 3.8.3:
http://www.mcs.anl.gov/petsc/documentation/changes/37.html
(FATE#325333).

See Also

Package Description
petsc_3_8_3-gnu-openmpi1-hpc-devel-3.8.3-lp150.84.3.x86_64.rpm Devel files for petsc
petsc_3_8_3-gnu-openmpi1-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm PETsc SAWs infrastructure
petsc_3_8_3-gnu-openmpi2-hpc-devel-3.8.3-lp150.84.3.x86_64.rpm Devel files for petsc
petsc_3_8_3-gnu-openmpi2-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm PETsc SAWs infrastructure
petsc_3_8_3-gnu-openmpi3-hpc-devel-3.8.3-lp150.84.3.x86_64.rpm Devel files for petsc
petsc_3_8_3-gnu-openmpi3-hpc-saws-3.8.3-lp150.84.3.x86_64.rpm PETsc SAWs infrastructure
picogrib-2.6-lp150.1.9.x86_64.rpm GRIB decoding software
picogrib-devel-2.6-lp150.1.9.x86_64.rpm Develoment files for picogrib
plasma-devel-2.4.5-lp150.1.12.x86_64.rpm Development files for plasma
plater-2.0.0~rc5.1522069560.e0ee40a-lp150.14.1.noarch.rpm RepRap STL plater
plplot-common-5.14.0-lp150.148.1.x86_64.rpm Files for development with PLplot
plplot-devel-5.14.0-lp150.148.1.x86_64.rpm Files for development with PLplot
plplot-doc-5.14.0-lp150.148.1.x86_64.rpm Documentation for PLplot and its bindings
plplot-driver-cairo-5.14.0-lp150.148.1.x86_64.rpm PLplot driver using the cairo backend
plplot-driver-ntk-5.14.0-lp150.148.1.x86_64.rpm PLplot driver using the ntk backend
Advertisement
Advertisement